summaryrefslogtreecommitdiff
path: root/sh
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2008-01-31 09:48:58 +0000
committerRoy Marples <roy@marples.name>2008-01-31 09:48:58 +0000
commit9300fa240d40b563034752f34860e418f044e738 (patch)
treeccc9309c124d3db073d54ec393aef35e491fc0e4 /sh
parent0ce909e12b29cbe52e8161bc50b72ec40acaaf19 (diff)
downloadopenrc-9300fa240d40b563034752f34860e418f044e738.tar.gz
openrc-9300fa240d40b563034752f34860e418f044e738.tar.bz2
openrc-9300fa240d40b563034752f34860e418f044e738.tar.xz
Tidy up some code and remove the redundant single_user function as we now use exit codes.
Diffstat (limited to 'sh')
-rw-r--r--sh/init-common-post.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/sh/init-common-post.sh b/sh/init-common-post.sh
index a246a84..cb44999 100644
--- a/sh/init-common-post.sh
+++ b/sh/init-common-post.sh
@@ -1,10 +1,12 @@
# Copyright 2007-2008 Roy Marples <roy@marples.name>
# All rights reserved. Released under the 2-clause BSD license.
+retval=0
+
# mount $svcdir as something we can write to if it's not rw
# On vservers, / is always rw at this point, so we need to clean out
# the old service state data
-if [ "${RC_SVCDIR}" != "/" ] && mkdir "${RC_SVCDIR}/.test.$$" 2>/dev/null; then
+if [ "${RC_SVCDIR}" != "/" ] && mkdir "${RC_SVCDIR}/.test.$$" 2>/dev/null; then
rmdir "${RC_SVCDIR}/.test.$$"
for x in ${RC_SVCDIR:-/lib/rc/init.d}/*; do
[ -e "${x}" ] || continue
@@ -15,6 +17,7 @@ if [ "${RC_SVCDIR}" != "/" ] && mkdir "${RC_SVCDIR}/.test.$$" 2>/dev/null; then
done
else
mount_svcdir
+ retval=$?
fi
echo "sysinit" > "${RC_SVCDIR}/softlevel"
@@ -22,4 +25,4 @@ echo "sysinit" > "${RC_SVCDIR}/softlevel"
# sysinit is now done, so allow init scripts to run normally
[ -e /dev/.rcsysinit ] && rm -f /dev/.rcsysinit
-exit 0
+exit ${retval}